Package ru.bitel.bgbilling.modules.paylinks.common.bean

# Class RedirectLogEntry

java.lang.Object
ru.bitel.bgbilling.modules.paylinks.common.bean.RedirectLogEntry

public class RedirectLogEntry extends Object
Запись в логе о совершённом переходе.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RedirectLogEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCid()`
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `Date`
  `getDate()`
  `int`
  `getId()`
  `int`
  `getMethodId()`
  `String`
  `getMethodTitle()`
  `String`
  `getRawUrl()`
  `BigDecimal`
  `getSum()`
  `void`
  `setCid(int cid)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate(Date date)`
  `void`
  `setId(int id)`
  `void`
  `setMethodId(int methodId)`
  `void`
  `setMethodTitle(String methodTitle)`
  `void`
  `setRawUrl(String rawUrl)`
  `void`
  `setSum(BigDecimal sum)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RedirectLogEntry

    public RedirectLogEntry()

- ## Method Details

  - ### setId

    public void setId(int id)

  - ### getId

    public int getId()

  - ### getMethodId

    public int getMethodId()

  - ### setMethodId

    public void setMethodId(int methodId)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### setDate

    public void setDate(Date date)

  - ### getDate

    public Date getDate()

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getRawUrl

    public String getRawUrl()

  - ### setRawUrl

    public void setRawUrl(String rawUrl)

  - ### getMethodTitle

    public String getMethodTitle()

  - ### setMethodTitle

    public void setMethodTitle(String methodTitle)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)